//
//  FSABundle.m
//  F-Script Anywhere
//
//  Created by Nicholas Riley on Fri Feb 01 2002.
//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
//

/*

 F-Script Anywhere is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 F-Script Anywhere is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with F-Script Anywhere; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <unistd.h>
#include <Patch.h>
#import "FSAnywhere.h"

OSStatus PatchInitialize(PatchInitPB *pb)
{
    FSALog(@"FSABundle id %s initialized: ppid %d, pid %d\n", pb->identifier, pb->parent, getpid());
    return noErr;
}

// Objective-C bundles can't be unloaded, so we don't even try.

OSStatus PatchTerminate(void)
{
    FSALog(@"FSABundle terminated\n");
    return noErr;
}

OSStatus PatchMessage(UInt32 message, void *data, UInt32 length)
{
    FSALog(@"FSABundle received message '%.4s' with data %08lX (length %ld)\n", (char*)&message, (UInt32)data, length);
    return noErr;
}